## iguanaIR-1.0pre2.tar.bz2

=== docs/Makefile ===
all:
	./pullDocs --target . --ssh

clean:
	rm $(filter-out Makefile pullDocs, $(wildcard *))

=== packaging/Makefile ===
NAME    = $(shell grep Name: fedora/*.spec | head -1 | sed 's/[^ ]*[ ]*//')
VERSION = $(shell grep Version: fedora/$(NAME).spec | sed 's/[^ ]*[ ]*//')
CURRENT = $(shell head -1 /etc/issue | sed 's/ .*//' | tr 'A-Z' 'a-z')
NAMEVER = $(NAME)-$(VERSION)

all:
clean:

ifeq ($(CURRENT),fedora)
all: fedora
clean: fedora-clean
else 
ifeq ($(CURRENT),ubuntu)
all: ubuntu
clean: ubuntu-clean
else 
ifeq ($(CURRENT),debian)
all: debian
clean: debian-clean
endif
endif
endif

help:
	@echo "Failed to detect the current OS."

PWD = $(shell pwd)
fedora: tarball
	rpmbuild -bs --define "_srcrpmdir $(PWD)" --define "_sourcedir $(PWD)" fedora/$(NAME).spec
	rpmbuild -bb --define "_rpmdir $(PWD)" --define "_sourcedir $(PWD)" --define "_builddir $(PWD)/fedora" fedora/$(NAME).spec
	rm -rf fedora/$(NAMEVER)
fedora-clean:
	rm -f $(NAME)-*.tar.bz2
	rm -f $(NAME)-*.rpm

ubuntu: ../debian
	cd ..; dpkg-buildpackage -uc -us -rfakeroot -I.svn -Ipackaging/$(NAMEVER)* -Iwin32 -I*.deb -I*.rpm
	mv ../../iguanair_* .
	mv ../../iguanair-python_* .
	mv ../../iguanair-reflasher_* .

../debian:
	ln -s packaging/debian ..
ubuntu-clean:
	rm -f ../debian
	rm -f iguanair*.deb
	rm -f iguanair*.changes
	rm -f iguanair*.tar.gz
	rm -f iguanair*.dsc
	rm -f debian/iguanair.postinst
	rm -f debian/iguanair-reflasher.debhelper.log
	rm -f debian/iguanair.postrm
	rm -f debian/iguanair.prerm
	rm -fr debian/iguanair-reflasher
	rm -fr debian/iguanair-python
	rm -fr debian/tmp
	rm -f debian/substvars
	rm -f debian/debhelper.log
	rm -f debian/iguanair-python.substvars
	rm -f debian/iguanair-python.debhelper.log
	rm -f debian/files	

debian: ubuntu
debian-clean: ubuntu-clean

gentoo: tarball
gentoo-clean: 

# commands to create a tarball
tarball:
	ln -s .. $(NAMEVER); \
	tar --dereference -cjf $(NAMEVER).tar.bz2 --exclude .svn --exclude packaging/$(NAMEVER)* --exclude win32 $(NAMEVER); \
	rm $(NAMEVER);

.PHONY: help fedora ubuntu tarball

=== packaging/fedora/iguanaIR-1.0pre2/Makefile ===
include Make.settings

CFLAGS += -I. -fvisibility=hidden -DIGUANAIR_EXPORTS
LINKARGS = -Wl,-soname=$(LIBNAME),--version-script=$(srcdir)/ig.ver
ifeq ($(shell uname -s),Darwin)
  LINKARGS = -Wl,-dylib_current_version,1.0.0,-dylib_compatibility_version,1.0.0
endif

.PHONY: all drivers
all: igclient igdaemon drivers
igclient igdaemon: $(LIBNAME)

$(LIBNAME): iguanaIR.o support.o dataPackets.o compat.o pipes.o
	$(CC) $(SHAREARG) $(LINKARGS) $(LDFLAGS) $^ -o $@

drivers:
	$(MAKE) -C $(srcdir)/drivers prefix=$(prefix)

igdaemon: daemon.o client-interface.o device-interface.o driver.o \
          list.o protocol-versions.o pipes.o dataPackets.o compat.o \
          support.c $(OSSUPPORT)
	$(CC) -Wl,-export-dynamic $(CPPFLAGS) $(CFLAGS) -DSUPPORT_EXPORTS \
              $(LDFLAGS) $^ -lpopt -lusb -lpthread -ldl $(LIBNAME) -o $@

igclient: client.o list.o support.o compat.o
	$(CC) $(LDFLAGS) $^ -lpopt $(LIBNAME) -o $@

%.o: %.c Makefile iguanaIR.h
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

driver.o: driver.c Makefile iguanaIR.h
	$(CC) -c $(CPPFLAGS) $(CFLAGS) -Wno-strict-aliasing $< -o $@

# need a special dependency for config.h
compat.o: compat.c config.h

# NOTE: I would rather use PYTHON_VERSION, but it doesn't work
ifneq (-I/usr/include/python2.6,)
all: _iguanaIR.$(SHAREEXT)
install: install-python install-reflasher
.PHONY: install-python
install-python:
	install -d $(DESTDIR)/usr/lib/python2.6/site-packages
	install _iguanaIR.$(SHAREEXT) $(DESTDIR)/usr/lib/python2.6/site-packages/_iguanaIR.$(SHAREEXT)
	install iguanaIR.py $(DESTDIR)/usr/lib/python2.6/site-packages/iguanaIR.py

.PHONY: install-reflasher
install-reflasher:
	$(MAKE) -C $(srcdir)/reflasher prefix=$(prefix) install

uninstall: uninstall-python uninstall-reflasher
.PHONY: uninstall-python
uninstall-python:
	rm -f $(DESTDIR)/usr/lib/python2.6/site-packages/_iguanaIR.$(SHAREEXT)
	rm -f $(DESTDIR)/usr/lib/python2.6/site-packages/iguanaIR.py

.PHONY: uninstall-reflasher
uninstall-reflasher:
	$(MAKE) -C $(srcdir)/reflasher prefix=$(prefix) uninstall

iguanaIR_wrap.c iguanaIR.py: iguanaIR.i iguanaIR.h Makefile
	swig $(CPPFLAGS) -I/usr/include/python2.6 -python -I$(srcdir) $(<F)

iguanaIR_wrap.o: iguanaIR_wrap.c Makefile
#	$(CC) -c $(CPPFLAGS) -I/usr/include/python2.6 $(CFLAGS) -Wno-strict-aliasing -Wno-unused -Wno-implicit-function-declaration -Wno-long-long $< -o $@
	$(CC) -c $(CPPFLAGS) -I/usr/include/python2.6 $(CFLAGS) -Wno-missing-field-initializers -Wno-unused -Wno-long-long -Wno-strict-aliasing $< -o $@

_iguanaIR.$(SHAREEXT): iguanaIR_wrap.o
	$(CC) $(LDFLAGS) -L/usr/lib/python2.6 -lpython2.6 $(SHAREARG) $^ $(LIBNAME) -o $@
endif

# change ownership unless we're building an rpm
ifeq ($(RPM_OS)$(DARWIN),)
  SETOWNER=--owner iguanair --group iguanair
install: adduser
.PHONY: adduser
adduser:
	/usr/sbin/useradd -u 213 -c "Iguanaworks IR Daemon" -d / -s /sbin/nologin iguanair 2>/dev/null || true

uninstall: deluser
.PHONY: deluser
deluser:
	/usr/sbin/userdel iguanair || true
else
  SETOWNER=
endif

# install a non-versioned symlink
ifneq ($(LIBNAME),libiguanaIR.$(SHAREEXT))
install: install-symlink
.PHONY: install-symlink
install-symlink:
	install -d $(DESTDIR)$(prefix)/$(LIBDIR)
	rm -f $(DESTDIR)$(prefix)/$(LIBDIR)/libiguanaIR.$(SHAREEXT)
	ln -s $(LIBNAME) $(DESTDIR)$(prefix)/$(LIBDIR)/libiguanaIR.$(SHAREEXT)
endif

.PHONY: install
install: all
	install -d $(DESTDIR)$(prefix)/bin
	install igclient $(DESTDIR)$(prefix)/bin/igclient
	install igdaemon $(DESTDIR)$(prefix)/bin/igdaemon
	install -d $(DESTDIR)$(prefix)/$(LIBDIR)/iguanaIR
	install $(LIBNAME) $(DESTDIR)$(prefix)/$(LIBDIR)/$(LIBNAME)
	install drivers/libusbpre1.$(SHAREEXT) $(DESTDIR)$(prefix)/$(LIBDIR)/iguanaIR/libusbpre1.$(SHAREEXT)
	install drivers/libusb.$(SHAREEXT) $(DESTDIR)$(prefix)/$(LIBDIR)/iguanaIR/libusb.$(SHAREEXT)
	install -d $(DESTDIR)$(prefix)/include
	install $(srcdir)/iguanaIR.h $(DESTDIR)$(prefix)/include/iguanaIR.h
ifeq ($(DARWIN),)
	install -D $(srcdir)/iguanaIR.init $(DESTDIR)/etc/init.d/iguanaIR
	install -D --mode 644 $(srcdir)/iguanaIR.options $(DESTDIR)/etc/default/iguanaIR
	install -D --mode 644 $(srcdir)/udev/iguanaIR.rules \
	                      $(DESTDIR)/lib/udev/rules.d/80-iguanaIR.rules
	install --mode 755 $(SETOWNER) -d $(DESTDIR)/lib/udev/devices/iguanaIR
	install --mode 755 $(SETOWNER) -d $(DESTDIR)/dev/iguanaIR
endif

.PHONY: uninstall
uninstall:
ifeq ($(DARWIN),)
	/etc/init.d/iguanaIR stop || true
endif
	rm -f $(DESTDIR)$(prefix)/bin/igclient
	rm -f $(DESTDIR)$(prefix)/bin/igdaemon
	rm -f $(DESTDIR)$(prefix)/$(LIBDIR)/$(LIBNAME)
	rm -f $(DESTDIR)$(prefix)/$(LIBDIR)/libiguanaIR.$(SHAREEXT)
	rm -f $(DESTDIR)$(prefix)/include/iguanaIR.h
ifeq ($(DARWIN),)
	rm -f $(DESTDIR)/etc/init.d/iguanaIR
	rm -f $(DESTDIR)/etc/default/iguanaIR
	rm -f $(DESTDIR)/etc/udev/rules.d/iguanaIR.rules
	rmdir $(DESTDIR)/lib/udev/devices/iguanaIR 2>/dev/null || true
	rmdir $(DESTDIR)/dev/iguanaIR 2>/dev/null || true
endif

.PHONY: clean drivers-clean
clean: drivers-clean
	rm -f *~ *.o *iguanaIR.$(SHAREEXT)* *libiguanaIR.* iguanaIR.py* iguanaIR_wrap.c igdaemon igclient config.log

drivers-clean:
	$(MAKE) -C $(srcdir)/drivers prefix=$(prefix) clean

.PHONY: distclean drivers-distclean
distclean: clean drivers-distclean
	rm -f Makefile config.h config.status
	$(MAKE) -C $(srcdir)/packaging prefix=$(prefix) builddir="$(builddir)" clean

drivers-distclean:
	$(MAKE) -C $(srcdir)/drivers prefix=$(prefix) distclean

.PHONY: cleanest
cleanest: distclean
	rm -rf configure autom4te.cache

.PHONY: package
package: distclean
	$(MAKE) -C $(srcdir)/packaging prefix=$(prefix) builddir="$(builddir)"





AUTOCONF=autoconf
ACLOCAL=aclocal
ifeq ($(SYSTEM),freebsd)
    AUTOCONF=autoconf259
    ACLOCAL=aclocal19
endif

.PHONY: dist devel-cleaner
dist: configure
devel-clean: distclean
	rm -rf autoconf/autom4te.cache autoconf/aclocal.m4 

# rules to rebuild the configure script
M4S=$(filter-out $(srcdir)/autoconf/aclocal.m4, $(wildcard $(srcdir)/autoconf/*.m4))
autoconf/aclocal.m4: $(M4S)
	cd $(srcdir)/autoconf; $(ACLOCAL)

configure: autoconf/configure.ac autoconf/aclocal.m4
	cd $(srcdir)/autoconf; $(AUTOCONF) -o ../configure configure.ac

config.h.in: autoconf/configure.ac
	cd $(srcdir)/autoconf; autoheader configure.ac; mv config.h.in ..

config.status: configure
	$(SHELL) ./config.status --recheck

Makefile: ./config.status Makefile.in ./Make.settings.in
	$(SHELL) $<

config.h: autoconf/stamp-h
autoconf/stamp-h: ./config.status config.h.in
	$(SHELL) $<

=== packaging/fedora/iguanaIR-1.0pre2/drivers/Makefile ===
include ../Make.settings

DRIVERS=libusbpre1.so libusb.so
LISTS=../list.o

all: $(DRIVERS)

libusb.so: libusb.c $(LISTS) Makefile
#	$(CC) $(CPPFLAGS) $(CFLAGS) $(SHAREARG) $(LDFLAGS) -lusb-1.0 $< $(LISTS) -o $@
	$(CC) $(CPPFLAGS) $(CFLAGS) $(SHAREARG) -lusb-1.0 $< $(LISTS) -o $@

libusbpre1.so: libusbpre1.c $(LISTS) Makefile
	$(CC) $(CPPFLAGS) $(CFLAGS) $(SHAREARG) -lusb $< $(LISTS) -o $@

.PHONY: clean
clean:
	$(RM) -f *~ *.o $(DRIVERS)

.PHONY: distclean
distclean: clean
	$(RM) -f Makefile


Makefile: ../config.status Makefile.in ../Make.settings.in
	cd ..; $(SHELL) ./config.status

=== packaging/fedora/iguanaIR-1.0pre2/reflasher/Makefile ===
NAME=iguanaIR-reflasher
prefix=/usr

all:

dev devel:
	rm -f hex/body-0.hex
	ln -s ../../../../firmware/usb_ir.body/output/usb_ir.hex hex/body-0.hex
	rm -f hex/loader-0.hex
	ln -s ../../../../firmware/usb_ir.loader/output/usb_ir.hex hex/loader-0.hex

install:
	install -d $(DESTDIR)$(prefix)/lib/$(NAME)/hex
	install $(NAME) $(DESTDIR)$(prefix)/lib/$(NAME)
	install $(filter-out hex/loader-0.hex hex/body-0.hex, $(wildcard hex/*.hex)) $(DESTDIR)$(prefix)/lib/$(NAME)/hex
	install -d $(DESTDIR)$(prefix)/bin
	rm -f $(DESTDIR)$(prefix)/bin/$(NAME)
	ln -s ../lib/$(NAME)/$(NAME) $(DESTDIR)$(prefix)/bin/$(NAME)

uninstall:
	rm -f $(DESTDIR)$(prefix)/bin/$(NAME)
	rm -f $(DESTDIR)$(prefix)/lib/$(NAME)/hex/*.hex
	rmdir $(DESTDIR)$(prefix)/lib/$(NAME)/hex 2>/dev/null || true
	rm -f $(DESTDIR)$(prefix)/lib/$(NAME)/upgrade-usb

.PHONY: all rpm dev devel tarball install

=== packaging/fedora/iguanaIR-1.0pre2/packaging/debian/changelog ===
iguanair (1.0pre2) jaunty; urgency=low

  * Works with Ubuntu 9.10. Supports slot device, bug fixes

 -- Ben Luey <bluey@iguanaworks.net>  Sun, 08 Nov 2009 08:48:53 -0600

iguanair (1.0pre1) jaunty; urgency=low

  * Pre Release of 1.0.

 -- Ben Luey <bluey@iguanaDev>  Sun, 12 Jul 2009 18:07:25 -0400

iguanair (0.99.1-4ubuntu1) gutsy; urgency=low

  * 0.99 IguanaWorks Release

 -- Ben Luey <bluey@iguanaDevUbuntu64>  Sun, 23 Nov 2008 16:36:37 -0500

iguanair (0.98.1-1) unstable; urgency=low

  * Upgrade to the 0.98 source.
  * Fixed some debian specific packaging dependencies

 -- IguanaWorks Support <support@iguanaworks.net>  Mon, 18 Aug 2008 20:42:17 -0600

iguanair (0.97.1-1) unstable; urgency=low

  * Upgraded to the 0.97 source (fixing udev)

 -- IguanaWorks Support <support@iguanaworks.net>  Mon, 18 Aug 2008 20:35:47 -0600

iguanair (0.95.1-1) unstable; urgency=low

  * Upgraded to the 0.95 source (fixing udev)

 -- IguanaWorks Support <support@iguanaworks.net>  Fri, 27 Mar 2008 23:28:45 +1000

iguanair (0.94.1-1) unstable; urgency=low

  * Upgraded to the 0.94 source.

 -- IguanaWorks Support <support@iguanaworks.net>  Mon, 24 Mar 2008 07:23:45 +1000

iguanair (0.93.1-5) unstable; urgency=low

  * Fixed some packaging problems. 

 -- IguanaWorks Support <support@iguanaworks.net>  Mon, 30 Feb 2008 18:01:45 +1000

iguanair (0.93.1-2) unstable; urgency=low

  * Fix good packaging.

 -- IguanaWorks Support <support@iguanaworks.net>  Thu, 14 Jun 2007 00:17:37 -0400

=== packaging/fedora/iguanaIR-1.0pre2/packaging/debian/control ===
Source: iguanair
Section: utils
Priority: optional
Maintainer: IguanaWorks [support@iguanaworks.net]
Build-Depends: debhelper (>=5), libpopt-dev (>=1.10), libusb-dev (>=0.1.11), libusb-1.0-0-dev,  python-dev (>=2.4), autoconf, automake, swig, fakeroot
Standards-Version: 3.7.2.2

Package: iguanair
Architecture: any
Section: utils
Depends: libc6 (>=2.0), udev (>= 0.99), libusb-0.1-4 (>= 0.1.11), libpopt0 (>=1.10)
Essential: no
Recommends: lirc
Description: This is the IguanaWorks USB IR daemon/driver and
             client. Software allows you to control your IguanaWorks
             USB IR device. Includes software for use with lirc.

Package: iguanair-python
Section: utils
Architecture: any
Depends: iguanair (= ${binary:Version}), ${shlibs:Depends}
Essential: no
Description: This is the Python client bindings IguanaWorks USB IR
	     driver.


Package: iguanair-reflasher
Section: utils
Architecture: all
Depends: iguanair-python (= ${binary:Version})
Essential: no
Description: The program will reflash the IguanaWorks USB IR Transceiver with the
		the latest firmware.

=== packaging/fedora/iguanaIR-1.0pre2/packaging/debian/rules ===
#!/usr/bin/make -f
#	Rules file for iguanair, requires the debhelper package.
#	Crafted by IguanaWorks Support support@iguanaworks.net, 14 March 2008 

# Comment this to turn off debhelper verbose mode.
export DH_VERBOSE=1

DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CONFARGS = --host=$(DEB_HOST_GNU_TYPE)
endif

CFLAGS="-g -O2 -Wall" 

configure: configure-stamp
configure-stamp:
	dh_testdir
	CFLAGS=$(CFLAGS) ./configure
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp configure-stamp
	make distclean || exit 0
	make -C packaging ../debian
	dh_clean

	# remove the build directories
	rm -rf $(CURDIR)/debian/tmp $(CURDIR)/debian/iguana-python

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_makeshlibs

	# main install
	make install DESTDIR=$(CURDIR)/debian/tmp LIBDIR=lib

	#add symlink for library
	#ln -s libiguanaIR.so libiguanaIR.so.0
	#mv libiguanaIR.so.0 $(CURDIR)/debian/tmp/usr/lib/

	# move the python stuff into it's sub package
	mkdir -p $(CURDIR)/debian/iguanair-python/usr/lib
	mv $(CURDIR)/debian/tmp/usr/lib/python* $(CURDIR)/debian/iguanair-python/usr/lib

	#move the reflasher stuff into it's sub systm
	mkdir -p $(CURDIR)/debian/iguanair-reflasher/usr/bin
	mkdir -p $(CURDIR)/debian/iguanair-reflasher/usr/lib
	mv $(CURDIR)/debian/tmp/usr/lib/iguanaIR-reflasher $(CURDIR)/debian/iguanair-reflasher/usr/lib/
	mv $(CURDIR)/debian/tmp/usr/bin/iguanaIR-reflasher $(CURDIR)/debian/iguanair-reflasher/usr/bin/
	




binary-indep:	build install

binary-arch:	build install
	dh_testdir
	dh_testroot
	dh_installdocs AUTHORS LICENSE LICENSE-LGPL WHY protocols.txt README.txt notes.txt ChangeLog
#	dh_installmanpages
#	dh_installinfo doc/gzip.info
	dh_installchangelogs ChangeLog
	dh_link
#	dh_strip
	dh_compress
#	ln -s gunzip.1.gz debian/gzip/usr/share/man/man1/uncompress.1.gz
#	ln -s zgrep.1.gz debian/gzip/usr/share/man/man1/zegrep.1.gz
#	ln -s zgrep.1.gz debian/gzip/usr/share/man/man1/zfgrep.1.gz
	dh_fixperms
	# You may want to make some executables suid here.
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
